cURL
curl --request PATCH \
--url https://api.example.com/api/v1/commit_tags/{tag_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/commit_tags/{tag_name}"
payload = {
"commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({commit_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', description: '<string>'})
};
fetch('https://api.example.com/api/v1/commit_tags/{tag_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}{
"error": "<string>",
"success": true
}Patch apiv1commit tags
PATCH
/
api
/
v1
/
commit_tags
/
{tag_name}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Tag name
Body
application/json
Request body for PATCH /api/v1/commit_tags/{tag_name}
For description:
- Field absent from JSON → don't change the description
- Field present as
null→ clear the description - Field present as
"text"→ set the description to "text"
Response
Tag updated
⌘I